Package: grails.compiler.ast

## [Java] Interface AnnotatedClassInjector

-     public interface AnnotatedClassInjector

  Injector applied to annotated (local transform) entities

  Authors:
    Graeme Rocher
  Since:
    2.2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)` Performs injection on an annotated entity

- - ### Method Detail

    - #### public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

      Performs injection on an annotated entity

      Parameters:
        `source` - The source unit
        `classNode` - The class node